<template>
    <div class="loadingscreen-panel">
        <div class="loadingscreen-icon">
            <clip-loader color="#E60000" :size="size"></clip-loader>
        </div>
        <div class="loadingscreen-label">Loading...</div>
    </div>
</template>

<script>
    import { ClipLoader } from "vue-spinner/dist/vue-spinner.min.js";

    export default {
        name: "loadingscreen",
        components: { ClipLoader },
        data: () => {
            return {
                size: "70px"
            };
        }
    };
</script>

<style>
    .loadingscreen-panel {
        z-index: 9999;
        position: fixed;
        display: inline-block;
        background-color: white;
        padding: 20px 50px;
        border-radius: 12px;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        left: 50%;
        top: 50%;
        width: 300px;
        height: 200px;
        text-align: center;
        margin-top: -100px;
        margin-left: -150px;
    }

    .loadingscreen-icon {
        margin-bottom: 8px;
    }
</style>

